# $Revision: 1.10 $, $Date: 2001/12/01 22:09:41 $
Summary:	Yacas, a computer algebra language
Summary(pl):	Yacas, jzyk algebry komputerowej
Name:		yacas
Version:	1.0.47
Release:	2
License:	GPL
Group:		Applications/Math
Group(de):	Applikationen/Mathematik
Group(pl):	Aplikacje/Matematyczne
Source0:	http://www.xs4all.nl/~apinkus/%{name}-%{version}.tar.gz
Patch0:		%{name}-automake.patch
Patch1:		%{name}-gmp.patch
URL:		http://www.xs4all.nl/~apinkus/yacas.html 
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yacas (Yet Another Computer Algebra System) is a small and highly
flexible computer algebra language. The syntax uses a infix-operator
grammar parser. The distribution contains a small library of
mathematical functions, but its real strength is in the language in
which you can easily write your own symbolic manipulation algorithms.
It supports arbitrary precision arithmetic.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -rf missing
aclocal
autoconf
automake -a -c
%configure \
	--enable-gmp
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install DESTDIR=$RPM_BUILD_ROOT
%{__make} -C scripts install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf AUTHORS README

rm -rf manualmaker/{in,*.c,Makefile*,manualmaker,newhelp,styleplain,yacasinit.ys} \
	docs/Makefile*
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz manualmaker docs
%attr(755,root,root) %{_bindir}/*
%{_datadir}/yacas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: yacas.spec,v $
Revision 1.10  2001/12/01 22:09:41  kloczek
- fix in %install: s/rm -f/rm -rf/

Revision 1.9  2001/12/01 14:52:27  kloczek
- fixed complete %doc.

Revision 1.8  2001/11/30 13:42:53  filon
- added automake and gmp patches, fixes for build
- added much html documentation
- fixed %%install
- release 2, STBR

Revision 1.7  2001/08/15 18:04:14  blues
- removed mine trash

Revision 1.6  2001/08/15 17:45:30  blues
- cosmetics

Revision 1.5  2001/07/26 15:29:36  kloczek
- added autoconf to BuildRequires.

Revision 1.4  2001/07/26 15:28:56  kloczek
- spec adapterized.

Revision 1.3  2001/07/26 13:38:43  trojan
- updated to 1.0.47; STB
- added autoconf before automake in %%prep
- removed obsolete patch

Revision 1.2  2000/12/10 12:49:25  kloczek
- completly rewrited in PLD style.
